import styles from "./layout.module.css";

function Layout({ title, ...props }) {
  return (
    <div className={styles.card}>
      <h2 className={styles.header}>{title}</h2>
      <div {...props}></div>
    </div>
  );
}

export default Layout;
