import Confirmation from "../components/top-level/confirmation";
import { useLocation, useNavigate } from "react-router-dom";
import { useEffect, useState } from "react";

export function _Confirmation() {
  const [count, setCount] = useState(0);
  const [reservedseat, setReservedSeat] = useState([]);
  const navigate = useNavigate();
  const location = useLocation();
  useEffect(() => {
    getSeatById();
  }, []);
  const getSeatById = async () => {
    setCount(location?.state?.seats.length);
    setReservedSeat(location?.state?.seats);
  };

  const handleModify = (e) => {
    e.preventDefault();
    sessionStorage.setItem("currentPath", "/booking");
    navigate("/booking");
  };

  return (
    <Confirmation
      seatCount={count}
      seats={reservedseat}
      onEdit={handleModify}
    />
  );
}
